Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.nailgun
Class NailStats

    java.lang.Object
      com.martiansoftware.nailgun.NailStats

All Implemented Interfaces:
  Cloneable

public class NailStats
extends Object
implements Cloneable

Collects and provides statistics on a nail.

Author:
  Marty Lamb

Method Summary
`Object` | `clone()` Creates a copy of this `NailStats` object.
`boolean` | `equals(Object o)` Returns true iff the specified `NailStats` object is tracking the same class.
`Class` | `getNailClass()` Returns the class for which we're tracking statistics
`long` | `getRefCount()` Returns the number of sessions currently running this nail.
`long` | `getRunCount()` Returns the number of times this nail has been run.
`int` | `hashCode()`
`String` | `toString()` Returns a String representation of this `NailStats` object, in the form "classname: runcount/refcount".

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getRunCount

    public long getRunCount()

  Returns the number of times this nail has been run. Nails that have started but not yet finished are included in this number.

  Returns:
    the number of times this nail has been run.

### getRefCount

    public long getRefCount()

  Returns the number of sessions currently running this nail.

  Returns:
    the number of sessions currently running this nail.

### getNailClass

    public Class getNailClass()

  Returns the class for which we're tracking statistics

  Returns:
    the class for which we're tracking statistics

### hashCode

    public int hashCode()

  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object o)

  Returns true iff the specified `NailStats` object is tracking the same class.

  Parameters:
    `o` - the NailStats object to check
  Returns:
    true iff the specified `NailStats` object is tracking the same class.

### clone

    public Object clone()

  Creates a copy of this `NailStats` object.

  Returns:
    a copy of this `NailStats` object.

### toString

    public String toString()

  Returns a String representation of this `NailStats` object, in the form "classname: runcount/refcount". *return a String representation of this `NailStats` object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2004, Martian Software, Inc.